//#include <PS2Keyboard.h>

#include <SD.h>                      // need to include the SD library
#define SD_ChipSelectPin 10  //using digital pin 4 on arduino nano 328, can use other pins
//#include <TMRpcm.h>           //  also need to include this library...
#include <SPI.h>
TMRpcm tmrpcm;   // create an object for use in this sketch 

const int DataPin = 2;
const int IRQpin =  3;

PS2Keyboard keyboard;

void setup() {
  delay(1000);
  keyboard.begin(DataPin, IRQpin);
  Serial.begin(9600);
  Serial.println("Keyboard Test:");
  
  tmrpcm.speakerPin = 9; //5,6,11 or 46 on Mega, 9 on Uno, Nano, etc
  if (!SD.begin(SD_ChipSelectPin)) {  // see if the card is present and can be initialized:
    Serial.println("SD fail");  
    return;   // don't do anything more if not
  }
  
}

void loop() {
  if (keyboard.available()) {
    
    // read the next key
    char c = keyboard.read();
    
    // check for some of the special keys
    if (c == PS2_ENTER) {
      Serial.println();
   
    } else if (c == 'q') {
      Serial.print("a");
      tmrpcm.play("a.wav");
      delay(300);
      
    }else if (c == 'w') {
      Serial.print("b");
      tmrpcm.play("b.wav");
      delay(300);
      
    }else if (c == 'e') {
      Serial.print("c");
      tmrpcm.play("c.wav");
      delay(300);
      
    }else if (c == 'r') {
      Serial.print("d");
      tmrpcm.play("d.wav");
      delay(300);
      
    }else if (c == 't') {
      Serial.print("e");
      tmrpcm.play("e.wav");
      delay(300);
    }else if (c == 'y') {
      Serial.print("f");
      tmrpcm.play("f.wav");
      delay(300);
    }else if (c == 'u') {
      Serial.print("g");
      tmrpcm.play("g.wav");
      delay(300);
    }else if (c == 'i') {
      Serial.print("h");
      tmrpcm.play("h.wav");
      delay(300);
    }else if (c == 'o') {
      Serial.print("i");
      tmrpcm.play("i.wav");
      delay(300);
    }else if (c == 'p') {
      Serial.print("j");
      tmrpcm.play("j.wav");
      delay(300);
    }else if (c == '[') {
      Serial.print("k");
      tmrpcm.play("k.wav");
      delay(300);
    }else if (c == ']') {
      Serial.print("l");
      tmrpcm.play("l.wav");
      delay(300);
    }else if (c == 'a') {
      Serial.print("m");
      tmrpcm.play("m.wav");
      delay(300);
    }else if (c == 's') {
      Serial.print("n");
      tmrpcm.play("n.wav");
      delay(300);
    }else if (c == 'd') {
      Serial.print("o");
      tmrpcm.play("o.wav");
      delay(300);
    }else if (c == 'f') {
      Serial.print("p");
      tmrpcm.play("p.wav");
      delay(300);
    }else if (c == 'g') {
      Serial.print("q");
      tmrpcm.play("q.wav");
      delay(300);
    }else if (c == 'h') {
      Serial.print("r");
      tmrpcm.play("r.wav");
      delay(300);
    }else if (c == 'j') {
      Serial.print("s");
      tmrpcm.play("s.wav");
      delay(300);
    }else if (c == 'k') {
      Serial.print("t");
      tmrpcm.play("t.wav");
      delay(300);
    }else if (c == 'l') {
      Serial.print("u");
      tmrpcm.play("u.wav");
      delay(300);
    }else if (c == ';') {
      Serial.print("v");
      tmrpcm.play("v.wav");
      delay(300);
    }else if (c == 'z') {
      Serial.print("w");
      tmrpcm.play("w.wav");
      delay(300);
    }else if (c == '`') {
      Serial.print("x");
      tmrpcm.play("x.wav");
      delay(300);
    }else if (c == 'x') {
      Serial.print("y");
      tmrpcm.play("y.wav");
      delay(300);
    }else if (c == 'c') {
      Serial.print("z");
      tmrpcm.play("z.wav");
      delay(300);
    }else if (c == 'v') {
      Serial.print("aa");
      tmrpcm.play("aa.wav");
      delay(300);
    }else if (c == 'b') {
      Serial.print("#");
      tmrpcm.play("#.wav");
      delay(300);
    }else if (c == 'n') {
      Serial.print("(");
      tmrpcm.play("(.wav");
      delay(300);
    }else if (c == 'm') {
      Serial.print(")");
      tmrpcm.play(").wav");
      delay(300);
    }else if (c == ',') {
      Serial.print("{");
      tmrpcm.play("{.wav");
      delay(300);
    }else if (c == '.') {
      Serial.print("}");
      tmrpcm.play("}.wav");
      delay(300);
    }else if (c == '/') {
      Serial.print("-");
      tmrpcm.play("-.wav");
      delay(300);
    }else if (c == '1') {
      Serial.print("1");
      tmrpcm.play("1.wav");
      delay(300);
    }else if (c == '2') {
      Serial.print("2");
      tmrpcm.play("2.wav");
      delay(300);
    }else if (c == '3') {
      Serial.print("3");
      tmrpcm.play("3.wav");
      delay(300);
    }else if (c == '4') {
      Serial.print("4");
      tmrpcm.play("4.wav");
      delay(300);
    }else if (c == '5') {
      Serial.print("5");
      tmrpcm.play("5.wav");
      delay(300);
    }else if (c == '6') {
      Serial.print("6");
      tmrpcm.play("6.wav");
      delay(300);
    }else if (c == '7') {
      Serial.print("7");
      tmrpcm.play("7.wav");
      delay(300);
    }else if (c == '8') {
      Serial.print("8");
      tmrpcm.play("8.wav");
      delay(300);
    }else if (c == '9') {
      Serial.print("9");
      tmrpcm.play("9.wav");
      delay(300);
    }else if (c == '0') {
      Serial.print("0");
      tmrpcm.play("0.wav");
      delay(300);
    }
    
      //Serial.print(c);
}
}
